<?xml version="1.0"?>
  <database name="TRIGGER REM_REMITTANCELINE_RETURN_TRG">
    <trigger name="REM_REMITTANCELINE_RETURN_TRG" table="REM_REMITTANCELINE_RETURN" fires="before" insert="true" update="true" delete="true" foreach="row">
      <body><![CDATA[
    /*************************************************************************
    * The contents of this file are subject to the Openbravo  Public  License
    * Version  1.1  (the  "License"),  being   the  Mozilla   Public  License
    * Version 1.1  with a permitted attribution clause; you may not  use this
    * file except in compliance with the License. You  may  obtain  a copy of
    * the License at http://www.openbravo.com/legal/license.html
    * Software distributed under the License  is  distributed  on  an "AS IS"
    * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
    * License for the specific  language  governing  rights  and  limitations
    * under the License.
    * The Original Code is Openbravo ERP.
    * The Initial Developer of the Original Code is Openbravo SLU
    * All portions are Copyright (C) 2011 Openbravo SLU
    * All Rights Reserved.
    * Contributor(s):  ______________________________________.
    ************************************************************************/
    
BEGIN
    
    IF AD_isTriggerEnabled()='N' THEN RETURN;
    END IF;
  IF UPDATING THEN
    IF(:OLD.Processed='Y' AND
         (
       (COALESCE(:old.ISACTIVE, '') <> COALESCE(:NEW.ISACTIVE, ''))
       OR(COALESCE(:old.LINE, 0) <> COALESCE(:NEW.LINE, 0))
       OR(COALESCE(:old.FIN_PAYMENT_ID, '0') <> COALESCE(:NEW.FIN_PAYMENT_ID, '0'))
       OR(COALESCE(:old.AD_ORG_ID, '0') <> COALESCE(:new.AD_ORG_ID, '0'))
       OR(COALESCE(:old.AD_CLIENT_ID, '0') <> COALESCE(:new.AD_CLIENT_ID, '0'))
       )) THEN
      RAISE_APPLICATION_ERROR(-20501, 'Document processed/posted') ;
    END IF;
  END IF;

  IF (INSERTING) THEN
    IF (:NEW.processed = 'Y') THEN
      RAISE_APPLICATION_ERROR(-20501, 'Document processed/posted');
    END IF;
  END IF;

  IF (DELETING) THEN
    IF (:OLD.processed = 'Y') THEN
      RAISE_APPLICATION_ERROR(-20501, 'Document processed/posted');
    END IF;
  END IF;
END REM_REMITTANCELINE_RETURN_TRG
]]></body>
    </trigger>
  </database>
